package com.yeejoin.amos.supervision.common.enums;


/**
 * 作业活动类型
 *
 * @author Administrator
 */
public enum RiskJudgeTaskworkTypeEnum {

    重大工艺操作(TaskworkTypeEnum.重大工艺操作,"danger_work_control_a"),
    检维修作业(TaskworkTypeEnum.检维修作业, "danger_work_control_b"),
    特殊动火作业(TaskworkTypeEnum.特殊动火作业, "danger_work_control_c"),
    一级动火作业(TaskworkTypeEnum.一级动火作业, "danger_work_control_d"),
    二级动火作业(TaskworkTypeEnum.二级动火作业, "danger_work_control_e"),
    进入受限空间作业(TaskworkTypeEnum.进入受限空间作业, "danger_work_control_f");
	
    /**
     * 名称，描述
     */
    private TaskworkTypeEnum eum;
    
    /**
     * 编码
     */
    private String intemFlag;

    private RiskJudgeTaskworkTypeEnum(TaskworkTypeEnum eum, String intemFlag) {
    	this.setEum(eum);
    	this.setIntemFlag(intemFlag);
    }

	public TaskworkTypeEnum getEum() {
		return eum;
	}

	public void setEum(TaskworkTypeEnum eum) {
		this.eum = eum;
	}

	public String getIntemFlag() {
		return intemFlag;
	}

	public void setIntemFlag(String intemFlag) {
		this.intemFlag = intemFlag;
	}
    
}
